Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderLine

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  OrderLineImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface OrderLine

extends Belonging

OrderLine represents one line in an Order. It contains a reference to an Item, a Quantity, a unitPrice and a list of Adjustments to the total line price. Attribute: quantity

- Containment: By Value
- Multiplicity: 1:1

Attribute: tax

- Containment: By Value
- Multiplicity: 1:1

Attribute: unitPrice

- Containment: By Value
- Multiplicity: 1:1

Attribute: totalLineAmount

- Containment: By Value
- Multiplicity: 1:1

Attribute: shipping

- Containment: By Value
- Multiplicity: 1:1

Attribute: productIdentifier

- Containment: By Value
- Multiplicity: 1:1

See Also
  `OrderLineHome`, `OrderLineImpl`

Method Summary
`ArrayList` | `getAdjustmentPresentations()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`long` | `getId()` Deprecated See BEA Commerce product offering
`Money` | `getLineTotal(int totalType)` Deprecated See BEA Commerce product offering
`Money` | `getMsrp()` Deprecated See BEA Commerce product offering
`String` | `getProductIdentifier()` Deprecated See BEA Commerce product offering
`double` | `getQuantity()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`Money` | `getTax()` Deprecated See BEA Commerce product offering
`double` | `getTotalLineAmount()` Deprecated See BEA Commerce product offering
`Money` | `getUnitPrice()` Deprecated See BEA Commerce product offering
`void` | `setAdjustmentPresentations(ArrayList adjustmentPresentations)` Deprecated See BEA Commerce product offering
`void` | `setDescription(String description)` Deprecated See BEA Commerce product offering
`void` | `setId(long id)` Deprecated See BEA Commerce product offering
`void` | `setMsrp(Money msrp)` Deprecated See BEA Commerce product offering
`void` | `setProductIdentifier(String productIdentifier)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(double quantity)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setTax(Money tax)` Deprecated See BEA Commerce product offering
`void` | `setTotalLineAmount(double totalLineAmount)` Deprecated See BEA Commerce product offering
`void` | `setUnitPrice(Money unitPrice)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getQuantity

    double getQuantity()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Returns
    quantity.

### setQuantity

    void setQuantity(double quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Parameters
    `quantity` - quantity to be added

### getTotalLineAmount

    double getTotalLineAmount()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Returns
    totalLineAmount.

### setTotalLineAmount

    void setTotalLineAmount(double totalLineAmount)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Parameters
    `totalLineAmount` - quantity to be added

### getTax

    Money getTax()

  Deprecated See BEA Commerce product offering

  Get the value of tax

  Returns
    tax.

### setTax

    void setTax(Money tax)

  Deprecated See BEA Commerce product offering

  Set the value of tax

  Parameters
    `tax` - tax to be added

### getUnitPrice

    Money getUnitPrice()

  Deprecated See BEA Commerce product offering

  Get the value of unitPrice

  Returns
    unitPrice.

### setUnitPrice

    void setUnitPrice(Money unitPrice)

  Deprecated See BEA Commerce product offering

  Set the value of unitPrice

  Parameters
    `unitPrice` - unitPrice to be added

### getShipping

    Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Returns
    shipping.

### setShipping

    void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Parameters
    `shipping` - shipping to be added

### getProductIdentifier

    String getProductIdentifier()

  Deprecated See BEA Commerce product offering

  Get the value of productIdentifier

  Returns
    productIdentifier.

### setProductIdentifier

    void setProductIdentifier(String productIdentifier)

  Deprecated See BEA Commerce product offering

  Set the value of productIdentifier

  Parameters
    `productIdentifier` - productIdentifier to be added

### getMsrp

    Money getMsrp()

  Deprecated See BEA Commerce product offering

  Get the value of msrp

  Returns
    msrp.

### setMsrp

    void setMsrp(Money msrp)

  Deprecated See BEA Commerce product offering

  Set the value of msrp

  Parameters
    `msrp` - msrp to be added

### getDescription

    String getDescription()

  Deprecated See BEA Commerce product offering

  Get the value of description

  Returns
    description.

### setDescription

    void setDescription(String description)

  Deprecated See BEA Commerce product offering

  Set the value of description

  Parameters
    `description` - description to be added

### getAdjustmentPresentations

    ArrayList getAdjustmentPresentations()

  Deprecated See BEA Commerce product offering

  Get the list of OrderAdjustmentPresentation objects

  Returns
    an array list

### setAdjustmentPresentations

    void setAdjustmentPresentations(ArrayList adjustmentPresentations)

  Deprecated See BEA Commerce product offering

  Set the list of OrderAdjustmentPresentation object

  Parameters
    `adjustments,` - the list of OrderDiscountPresentations

### getId

    long getId()

  Deprecated See BEA Commerce product offering

  Get order line id

  Returns
    an array list

### setId

    void setId(long id)

  Deprecated See BEA Commerce product offering

  Set the order line id

  Parameters
    `id,` - the long order line id.

### getLineTotal

    Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the line total for the given total type

  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved